<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Wed Feb 23 15:53:23 PST 2005 -->
<TITLE>
: Class  LanguageType
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/LanguageType.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DefaultValueType.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="LanguageType.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.rdb.internal.models.dbdefinition</FONT>
<BR>
Class  LanguageType</H2>
<PRE>
java.lang.Object
  |
  +--org.eclipse.emf.common.util.AbstractEnumerator
        |
        +--<B>org.eclipse.wst.rdb.internal.models.dbdefinition.LanguageType</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD>org.eclipse.emf.common.util.Enumerator</DD>
</DL>
<HR>
<DL>
<DT>public final class <B>LanguageType</B><DT>extends org.eclipse.emf.common.util.AbstractEnumerator</DL>

<P>
<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Language Type</b></em>',
 and utility methods for working with them.
 <!-- end-user-doc -->
<P>
<DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getLanguageType()"><CODE>DatabaseDefinitionPackage.getLanguageType()</CODE></A></DL>
<HR>

<P>
<!-- ======== INNER CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Field Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#ASSEMBLY">ASSEMBLY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>ASSEMBLY</b></em>' literal value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#ASSEMBLY_LITERAL">ASSEMBLY_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>ASSEMBLY</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#C">C</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>C</b></em>' literal value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#C_LITERAL">C_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>C</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#CL">CL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>CL</b></em>' literal value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#CL_LITERAL">CL_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>CL</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#COBOL">COBOL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>COBOL</b></em>' literal value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#COBOL_LITERAL">COBOL_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>COBOL</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#COBOLLE">COBOLLE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>COBOLLE</b></em>' literal value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#COBOLLE_LITERAL">COBOLLE_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>COBOLLE</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#CPLUSPLUS">CPLUSPLUS</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>CPLUSPLUS</b></em>' literal value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#CPLUSPLUS_LITERAL">CPLUSPLUS_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>CPLUSPLUS</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#FORTRAN">FORTRAN</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>FORTRAN</b></em>' literal value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#FORTRAN_LITERAL">FORTRAN_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>FORTRAN</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#JAVA">JAVA</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>JAVA</b></em>' literal value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#JAVA_LITERAL">JAVA_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>JAVA</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#OLE">OLE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>OLE</b></em>' literal value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#OLE_LITERAL">OLE_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>OLE</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#PLI">PLI</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>PLI</b></em>' literal value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#PLI_LITERAL">PLI_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>PLI</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#REXX">REXX</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>REXX</b></em>' literal value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#REXX_LITERAL">REXX_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>REXX</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#RPG">RPG</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>RPG</b></em>' literal value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#RPG_LITERAL">RPG_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>RPG</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#RPGLE">RPGLE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>RPGLE</b></em>' literal value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#RPGLE_LITERAL">RPGLE_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>RPGLE</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#SQL">SQL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>SQL</b></em>' literal value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#SQL_LITERAL">SQL_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>SQL</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.util.List</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#VALUES">VALUES</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A public read-only list of all the '<em><b>Language Type</b></em>' enumerators.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#get(int)">get</A></B>(int&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the '<em><b>Language Type</b></em>' literal with the specified value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#get(java.lang.String)">get</A></B>(java.lang.String&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the '<em><b>Language Type</b></em>' literal with the specified name.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.util.AbstractEnumerator"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getName, getValue, toString</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class java.lang.Object</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Field Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="SQL"><!-- --></A><H3>
SQL</H3>
<PRE>
public static final int <B>SQL</B></PRE>
<DL>
<DD>The '<em><b>SQL</b></em>' literal value.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#SQL_LITERAL"><CODE>SQL_LITERAL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="JAVA"><!-- --></A><H3>
JAVA</H3>
<PRE>
public static final int <B>JAVA</B></PRE>
<DL>
<DD>The '<em><b>JAVA</b></em>' literal value.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#JAVA_LITERAL"><CODE>JAVA_LITERAL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="C"><!-- --></A><H3>
C</H3>
<PRE>
public static final int <B>C</B></PRE>
<DL>
<DD>The '<em><b>C</b></em>' literal value.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#C_LITERAL"><CODE>C_LITERAL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="OLE"><!-- --></A><H3>
OLE</H3>
<PRE>
public static final int <B>OLE</B></PRE>
<DL>
<DD>The '<em><b>OLE</b></em>' literal value.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#OLE_LITERAL"><CODE>OLE_LITERAL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="ASSEMBLY"><!-- --></A><H3>
ASSEMBLY</H3>
<PRE>
public static final int <B>ASSEMBLY</B></PRE>
<DL>
<DD>The '<em><b>ASSEMBLY</b></em>' literal value.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#ASSEMBLY_LITERAL"><CODE>ASSEMBLY_LITERAL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="COBOL"><!-- --></A><H3>
COBOL</H3>
<PRE>
public static final int <B>COBOL</B></PRE>
<DL>
<DD>The '<em><b>COBOL</b></em>' literal value.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#COBOL_LITERAL"><CODE>COBOL_LITERAL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="PLI"><!-- --></A><H3>
PLI</H3>
<PRE>
public static final int <B>PLI</B></PRE>
<DL>
<DD>The '<em><b>PLI</b></em>' literal value.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#PLI_LITERAL"><CODE>PLI_LITERAL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="CPLUSPLUS"><!-- --></A><H3>
CPLUSPLUS</H3>
<PRE>
public static final int <B>CPLUSPLUS</B></PRE>
<DL>
<DD>The '<em><b>CPLUSPLUS</b></em>' literal value.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#CPLUSPLUS_LITERAL"><CODE>CPLUSPLUS_LITERAL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="CL"><!-- --></A><H3>
CL</H3>
<PRE>
public static final int <B>CL</B></PRE>
<DL>
<DD>The '<em><b>CL</b></em>' literal value.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#CL_LITERAL"><CODE>CL_LITERAL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="COBOLLE"><!-- --></A><H3>
COBOLLE</H3>
<PRE>
public static final int <B>COBOLLE</B></PRE>
<DL>
<DD>The '<em><b>COBOLLE</b></em>' literal value.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#COBOLLE_LITERAL"><CODE>COBOLLE_LITERAL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="FORTRAN"><!-- --></A><H3>
FORTRAN</H3>
<PRE>
public static final int <B>FORTRAN</B></PRE>
<DL>
<DD>The '<em><b>FORTRAN</b></em>' literal value.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#FORTRAN_LITERAL"><CODE>FORTRAN_LITERAL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="REXX"><!-- --></A><H3>
REXX</H3>
<PRE>
public static final int <B>REXX</B></PRE>
<DL>
<DD>The '<em><b>REXX</b></em>' literal value.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#REXX_LITERAL"><CODE>REXX_LITERAL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="RPG"><!-- --></A><H3>
RPG</H3>
<PRE>
public static final int <B>RPG</B></PRE>
<DL>
<DD>The '<em><b>RPG</b></em>' literal value.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#RPG_LITERAL"><CODE>RPG_LITERAL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="RPGLE"><!-- --></A><H3>
RPGLE</H3>
<PRE>
public static final int <B>RPGLE</B></PRE>
<DL>
<DD>The '<em><b>RPGLE</b></em>' literal value.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#RPGLE_LITERAL"><CODE>RPGLE_LITERAL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="SQL_LITERAL"><!-- --></A><H3>
SQL_LITERAL</H3>
<PRE>
public static final <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A> <B>SQL_LITERAL</B></PRE>
<DL>
<DD>The '<em><b>SQL</b></em>' literal object.
 <!-- begin-user-doc -->
 <p>
 If the meaning of '<em><b>SQL</b></em>' literal object isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#SQL"><CODE>SQL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="JAVA_LITERAL"><!-- --></A><H3>
JAVA_LITERAL</H3>
<PRE>
public static final <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A> <B>JAVA_LITERAL</B></PRE>
<DL>
<DD>The '<em><b>JAVA</b></em>' literal object.
 <!-- begin-user-doc -->
 <p>
 If the meaning of '<em><b>JAVA</b></em>' literal object isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#JAVA"><CODE>JAVA</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="C_LITERAL"><!-- --></A><H3>
C_LITERAL</H3>
<PRE>
public static final <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A> <B>C_LITERAL</B></PRE>
<DL>
<DD>The '<em><b>C</b></em>' literal object.
 <!-- begin-user-doc -->
 <p>
 If the meaning of '<em><b>C</b></em>' literal object isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#C"><CODE>C</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="OLE_LITERAL"><!-- --></A><H3>
OLE_LITERAL</H3>
<PRE>
public static final <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A> <B>OLE_LITERAL</B></PRE>
<DL>
<DD>The '<em><b>OLE</b></em>' literal object.
 <!-- begin-user-doc -->
 <p>
 If the meaning of '<em><b>OLE</b></em>' literal object isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#OLE"><CODE>OLE</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="ASSEMBLY_LITERAL"><!-- --></A><H3>
ASSEMBLY_LITERAL</H3>
<PRE>
public static final <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A> <B>ASSEMBLY_LITERAL</B></PRE>
<DL>
<DD>The '<em><b>ASSEMBLY</b></em>' literal object.
 <!-- begin-user-doc -->
 <p>
 If the meaning of '<em><b>ASSEMBLY</b></em>' literal object isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#ASSEMBLY"><CODE>ASSEMBLY</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="COBOL_LITERAL"><!-- --></A><H3>
COBOL_LITERAL</H3>
<PRE>
public static final <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A> <B>COBOL_LITERAL</B></PRE>
<DL>
<DD>The '<em><b>COBOL</b></em>' literal object.
 <!-- begin-user-doc -->
 <p>
 If the meaning of '<em><b>COBOL</b></em>' literal object isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#COBOL"><CODE>COBOL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="PLI_LITERAL"><!-- --></A><H3>
PLI_LITERAL</H3>
<PRE>
public static final <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A> <B>PLI_LITERAL</B></PRE>
<DL>
<DD>The '<em><b>PLI</b></em>' literal object.
 <!-- begin-user-doc -->
 <p>
 If the meaning of '<em><b>PLI</b></em>' literal object isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#PLI"><CODE>PLI</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="CPLUSPLUS_LITERAL"><!-- --></A><H3>
CPLUSPLUS_LITERAL</H3>
<PRE>
public static final <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A> <B>CPLUSPLUS_LITERAL</B></PRE>
<DL>
<DD>The '<em><b>CPLUSPLUS</b></em>' literal object.
 <!-- begin-user-doc -->
 <p>
 If the meaning of '<em><b>CPLUSPLUS</b></em>' literal object isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#CPLUSPLUS"><CODE>CPLUSPLUS</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="CL_LITERAL"><!-- --></A><H3>
CL_LITERAL</H3>
<PRE>
public static final <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A> <B>CL_LITERAL</B></PRE>
<DL>
<DD>The '<em><b>CL</b></em>' literal object.
 <!-- begin-user-doc -->
 <p>
 If the meaning of '<em><b>CL</b></em>' literal object isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#CL"><CODE>CL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="COBOLLE_LITERAL"><!-- --></A><H3>
COBOLLE_LITERAL</H3>
<PRE>
public static final <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A> <B>COBOLLE_LITERAL</B></PRE>
<DL>
<DD>The '<em><b>COBOLLE</b></em>' literal object.
 <!-- begin-user-doc -->
 <p>
 If the meaning of '<em><b>COBOLLE</b></em>' literal object isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#COBOLLE"><CODE>COBOLLE</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="FORTRAN_LITERAL"><!-- --></A><H3>
FORTRAN_LITERAL</H3>
<PRE>
public static final <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A> <B>FORTRAN_LITERAL</B></PRE>
<DL>
<DD>The '<em><b>FORTRAN</b></em>' literal object.
 <!-- begin-user-doc -->
 <p>
 If the meaning of '<em><b>FORTRAN</b></em>' literal object isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#FORTRAN"><CODE>FORTRAN</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="REXX_LITERAL"><!-- --></A><H3>
REXX_LITERAL</H3>
<PRE>
public static final <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A> <B>REXX_LITERAL</B></PRE>
<DL>
<DD>The '<em><b>REXX</b></em>' literal object.
 <!-- begin-user-doc -->
 <p>
 If the meaning of '<em><b>REXX</b></em>' literal object isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#REXX"><CODE>REXX</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="RPG_LITERAL"><!-- --></A><H3>
RPG_LITERAL</H3>
<PRE>
public static final <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A> <B>RPG_LITERAL</B></PRE>
<DL>
<DD>The '<em><b>RPG</b></em>' literal object.
 <!-- begin-user-doc -->
 <p>
 If the meaning of '<em><b>RPG</b></em>' literal object isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#RPG"><CODE>RPG</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="RPGLE_LITERAL"><!-- --></A><H3>
RPGLE_LITERAL</H3>
<PRE>
public static final <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A> <B>RPGLE_LITERAL</B></PRE>
<DL>
<DD>The '<em><b>RPGLE</b></em>' literal object.
 <!-- begin-user-doc -->
 <p>
 If the meaning of '<em><b>RPGLE</b></em>' literal object isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#RPGLE"><CODE>RPGLE</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="VALUES"><!-- --></A><H3>
VALUES</H3>
<PRE>
public static final java.util.List <B>VALUES</B></PRE>
<DL>
<DD>A public read-only list of all the '<em><b>Language Type</b></em>' enumerators.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="get(java.lang.String)"><!-- --></A><H3>
get</H3>
<PRE>
public static <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A> <B>get</B>(java.lang.String&nbsp;name)</PRE>
<DL>
<DD>Returns the '<em><b>Language Type</b></em>' literal with the specified name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="get(int)"><!-- --></A><H3>
get</H3>
<PRE>
public static <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A> <B>get</B>(int&nbsp;value)</PRE>
<DL>
<DD>Returns the '<em><b>Language Type</b></em>' literal with the specified value.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/LanguageType.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DefaultValueType.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="LanguageType.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
